> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jimmyai.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询图片任务

> 查询图片生成任务的状态和结果。

> 图片下载地址（`image_url`）的保存有效期为 **3天**，请及时转存。


## OpenAPI

````yaml GET /api/open-api/v1/images/{taskId}
openapi: 3.1.0
info:
  title: Jimmy AI OpenAPI
  description: API for Jimmy AI video generation services
  version: 1.0.0
servers:
  - url: https://www.jimmyai.cn
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/open-api/v1/images/{taskId}:
    get:
      summary: Query Image Task
      description: Query the status and result of an image generation task.
      operationId: queryImage
      parameters:
        - name: taskId
          in: path
          required: true
          description: The ID of the task to query
          schema:
            type: string
      responses:
        '200':
          description: Task status and result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoQueryResponse'
components:
  schemas:
    VideoQueryResponse:
      type: object
      properties:
        code:
          type: string
          example: '20000'
        msg:
          type: string
          example: ok
        data:
          type: object
          properties:
            task_id:
              type: string
            status:
              type: string
            progress:
              type: integer
            model:
              type: string
            created_at:
              type: integer
              format: int64
            completed_at:
              type: integer
              format: int64
            result:
              type: object
              properties:
                video_url:
                  type: string
                  description: URL of the generated video (Valid for 3 days)
                image_url:
                  type: string
                  description: >-
                    URL of the generated image (for image tasks, Valid for 3
                    days)
            error_message:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````